#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
using namespace std;
int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	long long n, m, pom, pom1, rez = 0;
	vector<int> a;
	cin >> n >> m;
	for (int i = 0; i < n; i++)
	{
		cin >> pom;
		a.push_back(pom);
	}
	for (int i = 0; i < m; i++)
	{
		cin >> pom >> pom1;
		if (-a[pom - 1] - a[pom1 - 1] > a[pom - 1] + a[pom1 - 1])
			rez += -a[pom - 1] - a[pom1 - 1];
		else
			rez += a[pom - 1] + a[pom1 - 1];
	}
	cout << rez;
}